shaderProgram_s Struct Reference

Describes an instance of a full shader program. More...

`#include <shaderProgram.h>`

## Data Fields

shaderInstance_s * | vertexShader
| Vertex shader.
shaderInstance_s * | geometryShader
| Geometry shader.
u32 | geoShaderInputPermutation [2]
| Geometry shader input permutation.
u8 | geoShaderInputStride
| Geometry shader input stride.

## Detailed Description

Describes an instance of a full shader program.

Examples
  graphics/gpu/both_screens/source/main.c, graphics/gpu/fragment_light/source/main.c, graphics/gpu/geoshader/source/main.c, graphics/gpu/immediate/source/main.c, graphics/gpu/lenny/source/main.c, graphics/gpu/loop_subdivision/source/main.c, graphics/gpu/mipmap_fog/source/main.c, graphics/gpu/particles/source/main.c, graphics/gpu/proctex/source/main.c, graphics/gpu/simple_tri/source/main.c, graphics/gpu/textured_cube/source/main.c, and graphics/gpu/toon_shading/source/main.c.

The documentation for this struct was generated from the following file:

- include/3ds/gpu/shaderProgram.h